Main Page

Functions
spi.c File Reference

Go to the source code of this file.

## Functions
VDevice * | spii_create (int addr, char *name, int rel_addr, void *data)
SPIIntr_T * | spi_intr_new (int addr, char *name)
void | spi_intr_construct (SPIIntr_T *spi, int addr, char *name)
void | spi_intr_destroy (void *spi)
VDevice * | spi_create (int addr, char *name, int rel_addr, void *data)
SPI_T * | spi_new (int addr, char *name, int rel_addr)
void | spi_construct (SPI_T *spi, int addr, char *name, int rel_addr)
void | spi_destroy (void *spi)
uint8_t | spi_port_rd (int addr)
void | spi_port_wr (uint8_t val)

## Detailed Description

Module to simulate the AVR's SPI module.

Definition in file spi.c.

## Function Documentation

## § spii_create()

VDevice* spii_create | ( | int | addr,
|  | char * | name,
|  | int | rel_addr,
|  | void * | data
| ) |  |

Allocate a new SPI interrupt.

Definition at line 78 of file spi.c.

## § spi_intr_construct()

void spi_intr_construct | ( | SPIIntr_T * | spi,
|  | int | addr,
|  | char * | name
| ) |  |

Constructor for spi interrupt object.

Definition at line 98 of file spi.c.

References avr_error, and vdev_construct().

## § spi_intr_destroy()

void spi_intr_destroy | ( | void * | spi | ) |

Destructor for spi interrupt object.

Definition at line 134 of file spi.c.

References vdev_destroy().

## § spi_create()

VDevice* spi_create | ( | int | addr,
|  | char * | name,
|  | int | rel_addr,
|  | void * | data
| ) |  |

Allocate a new SPI structure.

Definition at line 247 of file spi.c.

## § spi_construct()

void spi_construct | ( | SPI_T * | spi,
|  | int | addr,
|  | char * | name,
|  | int | rel_addr
| ) |  |

Constructor for SPI object.

Definition at line 267 of file spi.c.

References avr_error, and vdev_construct().

## § spi_destroy()

void spi_destroy | ( | void * | spi | ) |

Destructor for SPI object.

Definition at line 300 of file spi.c.

References vdev_destroy().

Automatically generated by Doxygen 1.8.12 on Sun Apr 2 2017.